Bug 149461 - array subscript out of range
Summary: array subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cksfv   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-23 11:38 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-23 17:13:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-23 11:38:54 UTC
Description of problem:

I just tried to compile package cksfv-1.3-2 from 
Redhat Fedora Extras development tree.

The compiler said

print.c(93): warning #175: subscript out of range

The source code is

    head[81] = '\0';

but
  char          head[81], *p;

Suggest code rework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Michael Schwendt 2005-07-23 17:13:10 UTC
Fix will be in cksfv-1.3-4. Package is without maintainer.



Note You need to log in before you can comment on or make changes to this bug.